MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025194Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-08-28 10:432014-11-11 13:02
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025194: It is necessary to orthogonalize transformation matrix in gp_Trsf and gp_Trsf2d classes
DescriptionNow it is possible to use not orthogonalized matrix in gp_Trsf2d class.
Using of not orthogonalized matrix in gp_Trsf class is the reason of exception in DEBUG-mode (in RELEASE mode we do not have any exceptions) when some *.brep file is read.

For good work in the future we should always use orthogonal transformation matrix. And shape should always be read from file.
Steps To Reproduce# See test case bugs modalg_5 bug22831

restore [locate_data_file bug22831_face.brep] f

###### File is read in RELEASE-mode and it is not read in DEBUG.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug22831
Attached Files

- Relationships
related to 0025101closedbugmaster Community Typo in code documentation of gp_Trsf::SetValues 
related to 0025374closedbugmaster Community [6.8.0beta regression] gp_Trsf2d::SetMirror() looses transformation form 
child of 0023547closedabv Open CASCADE Tests failures in debug mode 

-  Notes
(0031159)
git (administrator)
2014-08-28 15:49

Branch CR25194 has been created by nbv.

SHA-1: d18b9e78602abf0d806a5163d74cd75fce0bf75f


Detailed log of new commits:

Author: nbv
Date: Thu Aug 28 15:47:18 2014 +0400

    0025194: It is necessary to orthogonalize transformation matrix in gp_Trsf and gp_Trsf2d classes
    
    1. Method "SetValues()" for gp_Trsf2d class is added.
    2. Method Orthogonalize for gp_Trsf2d and gp_Trsf classes was added.
    3. Unused arguments from "SetValues()" method for gp_Trsf was deleted.
    
    Test bugs/modalg_5/bug22831 is OK after all changes. ALL "TODO" was deleted.
(0031166)
git (administrator)
2014-08-28 17:40

Branch CR25194 has been updated forcibly by nbv.

SHA-1: 0107d789ce44210abacd6edffe9d681892bfbc39
(0031542)
git (administrator)
2014-09-10 11:31

Branch CR25194 has been updated forcibly by nbv.

SHA-1: 6cc5c278be7e871f9414a80ccbe639c9ef217cbe
(0031556)
git (administrator)
2014-09-10 13:30

Branch CR25194 has been updated forcibly by nbv.

SHA-1: f6b81fbdd04d763cbd6fbff17cc9ee592953f272
(0031557)
nbv (developer)
2014-09-10 13:31

Dear Igor.

Please review CR25194 branch.
(0031558)
nbv (developer)
2014-09-10 13:47

It is necessary to keep old gp_Trsf::SetValue method to avoid possible conflicts with customer applications.
(0031562)
git (administrator)
2014-09-10 14:05

Branch CR25194 has been updated forcibly by nbv.

SHA-1: f5f28d4932805762f8a5c675322b8d1bf6e6f785
(0031564)
nbv (developer)
2014-09-10 14:07

Done in updated CR25194 branch.
(0031566)
ifv (developer)
2014-09-10 14:15

Ok
(0031568)
git (administrator)
2014-09-10 14:26

Branch CR25194 has been updated forcibly by nbv.

SHA-1: 0a8ac81cffc3d9cdee6d92ea10ceb4a16246423c
(0031569)
nbv (developer)
2014-09-10 14:28

Comment in CDL-file is amended.
(0031597)
git (administrator)
2014-09-10 18:46

Branch CR25194 has been updated forcibly by mkv.

SHA-1: 198393bad395f488cc2fcd7deecb2ef5543b8a88
(0031618)
git (administrator)
2014-09-11 17:22

Branch CR25194 has been updated forcibly by nbv.

SHA-1: a50bfe446d2b2fc575060737a5ad0239730a9e86
(0031674)
git (administrator)
2014-09-12 15:42

Branch CR25194 has been updated forcibly by mkv.

SHA-1: 2dfe8068098797378800e10b1f2c5925272d4b08
(0031703)
mkv (tester)
2014-09-15 14:49

Dear BugMaster,
Branch CR25194 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode on Debug mode.
SHA-1: 2dfe8068098797378800e10b1f2c5925272d4b08

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

There are compilation errors on Products part:

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25194/job/mnt-CR25194-master_build_occt_products_linux/1/parsed_console/ [^]
../../../../src/AcisGeom/AcisGeom_APattern.cxx: In member function ‘gp_Trsf AcisGeom_APattern::GetTrsf(const TColStd_SequenceOfReal&) const’:
../../../../src/AcisGeom/AcisGeom_APattern.cxx:360: error: no matching function for call to ‘gp_Trsf::SetValues(Standard_Real, Standard_Real, Standard_Real, double, Standard_Real, Standard_Real, Standard_Real, double, Standard_Real, Standard_Real, Standard_Real, double, Standard_Real, Standard_Real)’
/dn61/LocalWOK/wok_entities/LOC/dev/CR25194-master-occt/inc/gp_Trsf.hxx:211: note: candidates are: void gp_Trsf::SetValues(Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real)
make[2]: *** [AcisGeom_APattern.lo] Error 1

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25194/job/mnt-CR25194-master_build_occt_products_windows/1/parsed_console/ [^]
3>..\..\..\src\AcisGeom\AcisGeom_APattern.cxx(360): error C2660: 'gp_Trsf::SetValues' : function does not take 14 arguments
12>..\..\..\src\BestFitAPI\BestFitAPI_Algo.cxx(696): error C2660: 'gp_Trsf::SetValues' : function does not take 14 arguments
3>..\..\..\src\AcisLaw\AcisLaw_PosTransLaw.cxx(56): error C2660: 'gp_Trsf::SetValues' : function does not take 14 arguments
3>..\..\..\src\AcisLaw\AcisLaw_VecTransLaw.cxx(56): error C2660: 'gp_Trsf::SetValues' : function does not take 14 arguments
40>..\..\..\src\DxfData\DxfData.cxx(70): error C2660: 'gp_Trsf::SetValues' : function does not take 14 arguments
40>..\..\..\src\DxfData\DxfData_TranslateInsert.cxx(104): error C2660: 'gp_Trsf::SetValues' : function does not take 14 arguments

Regressions/Differences:
No regressions/differences

Testing cases:
bugs modalg_5(010) bug22831: OK
(0031744)
nbv (developer)
2014-09-16 12:21

Branch CR25194prod was created for porting all made in CR25194 changes to products.

Dear Testers.

Please retest CR25194 branch (for OCCT) together CR25194prod (for OCCT-products).
(0031840)
git (administrator)
2014-09-17 21:18

Branch CR25194 has been updated forcibly by mkv.

SHA-1: ccd7aa6183b78936e4196b13df9401b8dccbe9fa
(0031867)
mkv (tester)
2014-09-18 16:16

Dear BugMaster,
Branch CR25194 from occt git-repository and CR25194prod from products git-repository was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: ccd7aa6183b78936e4196b13df9401b8dccbe9fa
SHA-1: a6d58c33d19630f43e439a2dc18c651d8138356c

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR25194-CR25194-products/Debian60-64/summary.html [^]
http://occt-tests/CR25194-CR25194-products/Windows-32-VC10/summary.html [^]
dxf doc_1(001) K2, K6

Testing cases:
http://occt-tests/CR25194-CR25194-occt/Debian60-64/bugs/modalg_5/bug22831.html [^]
http://occt-tests/CR25194-CR25194-occt/Windows-32-VC10/bugs/modalg_5/bug22831.html [^]
bugs modalg_5(010) bug22831: OK

Testing on Linux:
occt component :
Total MEMORY difference: 355099840 / 355132184
Total CPU difference: 45817.45999999992 / 45407.68000000016
products component :
Total MEMORY difference: 109907648 / 109865592
Total CPU difference: 17043.68999999999 / 17706.689999999977

Testing on Windows:
occt component :
Total MEMORY difference: 242000768 / 242123384
Total CPU difference: 33281.4375 / 42813.046875
products component :
Total MEMORY difference: 66571820 / 66611856
Total CPU difference: 13385.46875 / 10514.125

There are no differences in images found by testdiff.
(0031874)
nbv (developer)
2014-09-18 16:40

Dear Mikhail!

Please change regression test cases according to their new behavior. It connects with that they are BAD initially.
(0031875)
ifv (developer)
2014-09-18 16:42

Ok, I agree
(0031996)
mkv (tester)
2014-09-23 13:40

Dear BugMaster,
Test cases dxf/doc_1(001)/K2,K6 are corrected.
(0032419)
git (administrator)
2014-09-30 11:36

Branch CR25194 has been deleted by inv.

SHA-1: ccd7aa6183b78936e4196b13df9401b8dccbe9fa

- Related Changesets
occt: master 7a8c6a36
Timestamp: 2014-09-10 07:28:19
Author: nbv
Committer: bugmaster
Details ] Diff ]
0025194: It is necessary to orthogonalize transformation matrix in gp_Trsf and gp_Trsf2d classes

1. Method "SetValues()" for gp_Trsf2d class is added.
2. Method Orthogonalize for gp_Trsf2d and gp_Trsf classes was added.
3. Unused arguments from "SetValues()" method for gp_Trsf was deleted.
4. Output of AppParCurves_MultiPoint Dump was corrected.
5. Method of right projected point choosing was corrected in ProjLib package.
6. Some test cases were changed according to their new behavior.
mod - src/AppParCurves/AppParCurves_MultiPoint.cxx Diff ] File ]
mod - src/BinTools/BinTools_LocationSet.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_LocationLaw.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Pipe.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Sweep.cxx Diff ] File ]
mod - src/gp/gp_Trsf.cdl Diff ] File ]
mod - src/gp/gp_Trsf.cxx Diff ] File ]
mod - src/gp/gp_Trsf2d.cdl Diff ] File ]
mod - src/gp/gp_Trsf2d.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Presentation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Prs.cxx Diff ] File ]
mod - src/TopTools/TopTools_LocationSet.cxx Diff ] File ]
mod - src/Vrml/Vrml_MatrixTransform.cxx Diff ] File ]
mod - tests/bugs/modalg_5/bug22831 Diff ] File ]
mod - tests/de/iges_1/J9 Diff ] File ]
mod - tests/de/iges_1/K3 Diff ] File ]
mod - tests/de/iges_2/B8 Diff ] File ]
mod - tests/de/iges_2/E6 Diff ] File ]
mod - tests/de/iges_2/G1 Diff ] File ]
mod - tests/mesh/data/standard/J1 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/C7 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-28 10:43 nbv New Issue
2014-08-28 10:43 nbv Assigned To => nbv
2014-08-28 10:53 nbv Steps to Reproduce Updated View Revisions
2014-08-28 11:36 nbv Relationship added child of 0023547
2014-08-28 15:49 git Note Added: 0031159
2014-08-28 15:51 nbv Status new => assigned
2014-08-28 15:51 nbv Steps to Reproduce Updated View Revisions
2014-08-28 17:40 git Note Added: 0031166
2014-09-10 11:31 git Note Added: 0031542
2014-09-10 13:30 git Note Added: 0031556
2014-09-10 13:31 nbv Note Added: 0031557
2014-09-10 13:31 nbv Assigned To nbv => ifv
2014-09-10 13:31 nbv Status assigned => resolved
2014-09-10 13:47 nbv Note Added: 0031558
2014-09-10 13:47 nbv Assigned To ifv => nbv
2014-09-10 13:47 nbv Status resolved => assigned
2014-09-10 14:05 git Note Added: 0031562
2014-09-10 14:07 nbv Note Added: 0031564
2014-09-10 14:07 nbv Assigned To nbv => ifv
2014-09-10 14:07 nbv Status assigned => resolved
2014-09-10 14:15 ifv Note Added: 0031566
2014-09-10 14:15 ifv Status resolved => reviewed
2014-09-10 14:26 git Note Added: 0031568
2014-09-10 14:28 nbv Note Added: 0031569
2014-09-10 18:46 git Note Added: 0031597
2014-09-10 19:17 mkv Assigned To ifv => mkv
2014-09-11 16:15 abv Target Version => 6.8.0
2014-09-11 17:22 git Note Added: 0031618
2014-09-12 15:42 git Note Added: 0031674
2014-09-12 16:23 mkv Test case number => bugs modalg_5(010) bug22831
2014-09-15 14:49 mkv Note Added: 0031703
2014-09-15 14:50 mkv Assigned To mkv => nbv
2014-09-15 14:50 mkv Status reviewed => assigned
2014-09-16 12:21 nbv Note Added: 0031744
2014-09-16 12:21 nbv Status assigned => resolved
2014-09-16 12:22 nbv Status resolved => reviewed
2014-09-17 20:39 mkv Assigned To nbv => mkv
2014-09-17 21:18 git Note Added: 0031840
2014-09-18 16:16 mkv Note Added: 0031867
2014-09-18 16:16 mkv Assigned To mkv => nbv
2014-09-18 16:16 mkv Status reviewed => assigned
2014-09-18 16:40 nbv Note Added: 0031874
2014-09-18 16:40 nbv Assigned To nbv => ifv
2014-09-18 16:40 nbv Status assigned => resolved
2014-09-18 16:42 ifv Note Added: 0031875
2014-09-18 16:42 ifv Status resolved => reviewed
2014-09-19 14:02 bugmaster Assigned To ifv => mkv
2014-09-23 13:40 mkv Note Added: 0031996
2014-09-23 13:40 mkv Assigned To mkv => bugmaster
2014-09-23 13:40 mkv Status reviewed => tested
2014-09-24 14:53 nbv Relationship added related to 0025084
2014-09-26 13:28 abv Relationship added related to 0025101
2014-09-26 14:49 bugmaster Changeset attached => occt master 7a8c6a36
2014-09-26 14:49 bugmaster Status tested => verified
2014-09-26 14:49 bugmaster Resolution open => fixed
2014-09-30 11:36 git Note Added: 0032419
2014-10-23 17:57 abv Relationship added related to 0025374
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker